<?php 
/**
 * @package Azura Joomla Pagebuilder
 * @author Cththemes - www.cththemes.com
 * @date: 15-07-2014
 *
 * @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE
 */
defined('_JEXEC') or die;
//$azura_attrs,$azura_content,$azura_element
$el_class = $el_id = $carousel_images = $show_nav = $show_pagi = $interval = $pause = $loop = $keyboard = '';

extract($azura_attrs);

$carousel_images = json_decode($azura_content);
if(!is_array($carousel_images)&& count($carousel_images)) return;

$classes = array(
    'azp_element',
    'azp_carousel azp_trigger_carousel slide',
    $el_class,
);

$classes[] = self::buildTypography($azura_attrs);//will return custom class for the element without dot
$animation_data = self::buildAnimation($azura_attrs);
$classes[] = $animation_data['trigger'];
$classes = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $classes ) ) );

$carouselstyle = self::buildStyle($azura_attrs);

if(empty($el_id)){
    $el_id = uniqid('carousel');
}
$data_attrs = ' data-ride="azpcarousel"';
if($pause == '1'){
    $data_attrs .= ' data-pause="hover"';
}
if($loop == '1'){
    $data_attrs .= ' data-wrap="true"';
}
if($keyboard == '1'){
    $data_attrs .= ' data-keyboard="true"';
}
if(is_numeric($interval)){
    $data_attrs .= ' data-interval="'.$interval.'"';
}else{
    $data_attrs .= ' data-interval="false"';
}
?>
<div class="<?php echo $classes;?>" <?php echo $carouselstyle.' '.$animation_data['data'];?> id="<?php echo $el_id;?>"<?php echo $data_attrs;?>>
    <?php if($show_pagi == '1') : ?>
    <ol class="azp_carousel-indicators">
    <?php foreach ($carousel_images as $key => $img) : ?>
        <li data-target="#<?php echo $el_id;?>" data-slide-to="<?php echo $key;?>"<?php if($key == 0) echo ' class="active"';?>></li>
    <?php endforeach;?>
    </ol>
    <?php endif; ?>
    <div class="azp_carousel-inner" role="listbox">
    <?php foreach ($carousel_images as $key => $img) : ?>
        <div class="item<?php if($key == 0) echo ' active'; ?>">
        <?php 
        if(isset($img->src)): ?>
            <img src="<?php echo JURI::root().$img->src;?>" alt="<?php echo isset($img->alt_text) ? $img->alt_text : '' ;?>">
        <?php endif; ?>
        <?php 
        if(isset($img->title) || isset($img->caption) ): ?>
            <div class="azp_carousel-caption">
            <?php if(isset($img->title)) : ?>
                <h3><?php echo $img->title;?></h3>
            <?php endif ; ?>
                <?php if(isset($img->caption)) echo $img->caption;?>
            </div>
        <?php endif; ?>
        </div>
    <?php endforeach;?>
    </div>
    <?php if($show_nav == '1') : ?>
    <a class="left azp_carousel-control" href="#<?php echo $el_id;?>" role="button" data-slide="prev">
        <span class="icon_prev" aria-hidden="true"></span>
        <span class="sr-only"><?php echo JText::_('Previous');?></span>
    </a>
    <a class="right azp_carousel-control" href="#<?php echo $el_id;?>" role="button" data-slide="next">
        <span class="icon_next" aria-hidden="true"></span>
        <span class="sr-only"><?php echo JText::_('Next');?></span>
    </a>
    <?php endif; ?>
</div>



