<?php
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');
jimport('joomla.filesystem.file');

if(!defined('AZURA_VERSION')) define('AZURA_VERSION', '3.0.5.2');

 
class JFormFieldAzurabuilder extends JFormField {
 
	protected $type = 'Azurabuilder'; // for 

	protected $pageTemplates ;

	protected $secTemplates ;

	protected function getImageBrowserLink(){
		$link = JURI::base().'index.php?option=com_media&amp;view=images&amp;tmpl=component&amp;asset=&amp;author=';
		if(file_exists(JPATH_ADMINISTRATOR . '/components/com_jce/helpers/browser.php')){
			
			require_once(JPATH_ADMINISTRATOR . '/components/com_jce/helpers/browser.php');
			if( class_exists('WFBrowserHelper') && method_exists('WFBrowserHelper','getMediaFieldLink') ){
        		$link = WFBrowserHelper::getMediaFieldLink('', 'images');

        	}
        }

        return $link;

	}

	protected function getIconBrowserLink($layout = ''){
		if($layout != '') {
			$link = JURI::base().'index.php?option=com_azurapagebuilder&amp;view=fonts&amp;tmpl=component&amp;layout='.$layout;
		}else{
			$link = JURI::base().'index.php?option=com_azurapagebuilder&amp;view=fonts&amp;tmpl=component';
		}
		

        return $link;

	}

	protected function getImagesFolder(){
		$form = JForm::getInstance('com_azurapagebuilder.page.folderlist', 'folderlist');
		//var_dump( $form->getField('imagesfolder') );die;
		return $form->getField('imagesfolder')->renderField();
	}

	protected function getPageTemplates(){

		$templates = array();
		$templatesInfo = array();

		$pageTemplateFolder = JPath::clean(JPATH_ADMINISTRATOR.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_azurapagebuilder'.DIRECTORY_SEPARATOR.'pagetemplates'.DIRECTORY_SEPARATOR);

		$templatefiles = glob( $pageTemplateFolder.'/*.php' );

        foreach((array) $templatefiles as $value)  $templates[] =  basename($value);

        $templates = array_unique($templates);

        foreach ($templates as $key => $temp) {
        	$tempContent = JFile::read($pageTemplateFolder.'/'.$temp);
        	if($tempContent != ''){
	    		if(strpos($tempContent, "%7B%22") === 0 ){
	    			$tempContent = json_decode(rawurldecode($tempContent));
	    		}else{
	    			$tempContent = json_decode($tempContent);
	    		}
	    		$templatesInfo[] = (object) array('templatename'=>$tempContent->templatename,'savename'=>$tempContent->savename,);
        		
        	}
        }

        $this->pageTemplates = $templatesInfo;
	}

	protected function getSecTemplates(){

		$templates = array();
		$templatesInfo = array();

		$pageTemplateFolder = JPath::clean(JPATH_ADMINISTRATOR.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_azurapagebuilder'.DIRECTORY_SEPARATOR.'sectemplates'.DIRECTORY_SEPARATOR);

		$templatefiles = glob( $pageTemplateFolder.'/*.php' );

        foreach((array) $templatefiles as $value)  $templates[] =  basename($value);

        $templates = array_unique($templates);

        foreach ($templates as $key => $temp) {
        	$tempContent = JFile::read($pageTemplateFolder.'/'.$temp);
        	if($tempContent != ''){
	    		if(strpos($tempContent, "%7B%22") === 0 ){
	    			$tempContent = json_decode(rawurldecode($tempContent));
	    		}else{
	    			$tempContent = json_decode($tempContent);
	    		}

        		$templatesInfo[] = (object) array('templatename'=>$tempContent->templatename,'savename'=>$tempContent->savename,);
        		
        	}
        }

        $this->secTemplates = $templatesInfo;
	}
 
	// getLabel() left out

	protected function includeTemplateFiels($file){
		jimport('joomla.filesystem.file');
		$viewTemps = JPath::clean(JPATH_ADMINISTRATOR.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_azurapagebuilder'.DIRECTORY_SEPARATOR.'views'.DIRECTORY_SEPARATOR.'page'.DIRECTORY_SEPARATOR.'tmpl'.DIRECTORY_SEPARATOR);
		$output = '';
		//if($file == 'edit_temp_modals.php') $elementsOptions = AzuraElements::getElementsOptions();
		if(file_exists(JPath::clean($viewTemps . $file))){
			ob_start();
			include $viewTemps . $file ;
			$output = ob_get_contents();
			ob_end_clean();
		}
		return $output ;
	}
 
	public function getInput() {
		$return = '
			<div class="azp_admin-row " id="azura-pagebuilder-app">
				<div class="azp_admin-col-md-12">
						<div class="azp_admin-row">
							
							<div class="azp_admin-col-md-12 azp-builder-area">
								
								<div class="pull-left">
									<a href="#" class="btn btn-primary azura-add-new-row" id="azura-add-new-row"><i class="icon-list-2 icon-primary"></i> Add Row</a>&nbsp;&nbsp;&nbsp;<a href="" id="azp-open-preview" class="btn btn-default azp-preview-btn" target="_blank"><i class="icon-eye-open"></i> Preview</a>
									
								</div>
								<div class="pull-right">
									<a href="javascript:void(0);" id="azuraPageTemplate" class="btn btn-default" target="_blank"><i class="ti-import"></i> Import Templates</a>
									
								</div>
								<br>
								<hr>
								<div class="azura-pagebuilder azp_admin-clearfix" id="azura-pagebuilder">
									<div class="azp_admin-clearfix">
										<div class="azura-pagebuilder-area" id="azura-pagebuilder-area"></div>
									</div>
								</div>
								<div class="azura-pagebuilder-footer">
									<a href="javascript:void(0)" id="azuraAddPageSection"><i class="ti-plus"></i></a>
								</div>

								<div class="azp_introtext-field-wrap">
									<div class="control-group">
										<div class="control-label">
											<label id="azp_article_introtext-lbl" for="azp_article_introtext" class="hasPopover" data-content="This text will display in articles list view." data-original-title="Introduction Text" aria-invalid="false">Introduction Text</label>
										</div>
										<div class="controls">
											<textarea name="azp_article_introtext" id="azp_article_introtext" cols="130" rows="6" aria-invalid="false"></textarea>
										</div>
									</div>
								</div>

								<div class="clearfix"> </div>
								<hr>
								<div class="azura_copyright">
									<p><small style="float:left;"><a href="http://azura.cththemes.com" title="Azura - Joomla Page Builder" target="_blank">Azura - Joomla Page Builder</a> &copy; 2014 - '.date('Y').' by <a href="https://themeforest.net/user/cththemes" title="CTHthemes" target="_blank">CTHthemes</a></small><small style="float:right;">Version '.AZURA_VERSION.'</small></p>
								</div>

							</div>
							
							
						</div>
				</div>
			</div>
			';
		$this->getPageTemplates();
		$this->getSecTemplates();
		
		$this->elementsOptions = AzuraElements::getElementsOptions();

		$return .= $this->includeTemplateFiels('edit_temp_modals.php');
		$return .= $this->includeTemplateFiels('edit_temp_elements.php');
		$return .= $this->includeTemplateFiels('edit_temp_fields.php');
		$return .= $this->includeTemplateFiels('edit_temp_scripts.php');
	
		return $return;
	}
}