<?php

defined('_JEXEC') or die;

class PlgAzuraAzuraOption extends JPlugin
{

	//add element array
	public function onAzuraPrepareElementsArray(&$elements){
        $elements['AzuraImage']['attrs'][0] = array(
                    'type'=>'image',
                    'param_name'=>'src',
                    'label'=>'Image Source',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin' => true,
                );
        $elements['AzuraVideo']['attrs'][0] = array(
                    'type'=>'text',
                    'param_name'=>'content',
                    'label'=>'Video Link',
                    'desc' => "Video Link (Youtube, Vimeo)" ,
                    'default'=>'https://www.youtube.com/watch?v=Tjvtl3qMRHs',
                    'show_in_admin' => true,
                    'iscontent'=>'yes'
                );
        $elements['AzuraRow']['attrs'] = array(
                
            array(
                'type'=>'text',
                'param_name'=>'section_title',
                'label'=>'Section Title',
                'desc' => "" ,
                'default'=>'',
                
            ),
            array(
                'type'=>'textarea',
                'param_name'=>'content',
                'label'=>'Section Introtext (Can be use with html tags.)',
                'desc' => "" ,
                'default'=>'',
                'iscontent'=>'yes'
            ),
            // array(
            //     'type'=>'select',
            //     'param_name'=>'title_align',
            //     'label'=>'Section Title Alignment',
            //     'desc' => "" ,
            //     'default'=>'setcenter',
            //     "value" => array(   
            //         'Left' => 'setleft',  
            //         'Center' => 'setcenter',                                                                                
            //         'Right' => 'setright',                                                                                
            //     ),
            // ),
            array(
                'type'=>'switch',
                'param_name'=>'fullwidth',
                'label'=>'Content width',
                'desc' => "" ,
                'default'=>'1',
                "value" => array(   
                    'Fluid width' => '1',  
                    'Fixed width' => '0',                                                                                
                ),
            ),

            array(
                'type'=>'select',
                'param_name'=>'sec_width',
                'label'=>'Section Width',
                'desc' => "Use Default for template content width" ,
                'default'=>'default',
                "value" => array(   
                    'Default' => 'default',  
                    'Fullscreen width' => 'fullscreen',                                                                                
                ),
            ),

            array(
                'type'=>'switch',
                'param_name'=>'is_fullheight',
                'label'=>'Is Fullscreen height',
                'desc' => "" ,
                'default'=>'0',
                "value" => array(   
                    'Yes' => '1',  
                    'No' => '0',                                                                                
                ),
            ),

            array(
                'type'=>'switch',
                'param_name'=>'equal_height',
                'label'=>'Equal height',
                'desc' => "Set this option to Yes if you want to set columns equal height." ,
                'default'=>'0',
                "value" => array(   
                    'Yes' => '1',  
                    'No' => '0',                                                                                
                ),
            ),


            array(
                'type'=>'switch',
                'param_name'=>'use_parallax',
                'label'=>'Use Parallax',
                'desc' => "" ,
                'default'=>'0',
                "value" => array(   
                    'Yes' => '1',  
                    'No' => '0',                                                                                
                ),
            ),

            array(
                'type'          =>'image',
                'param_name'    =>'parallax_image',
                'label'         =>'Parallax Image',
                'desc'          => "If no image is selected, parallax will use background image from Style tab." ,
                'default'       =>'',
                "depends_on"         => array(   
                    'element'   => 'use_parallax',  
                    'value'     => array('1'),                                                                                
                    'has_value' => false,                                                                                
                ),
            ),

            array(
                'type'          =>'text',
                'param_name'    =>'parallax_value',
                'label'         =>'Parallax Value',
                'desc'          => "Pixel number. Which we are telling the browser is to move Parallax Image down every time we scroll down 100% of the viewport height and move Parallax Image up every time we scroll up 100% of the viewport height. Ex: 300 or -300 for reverse direction." ,
                'default'       =>'300',
                'rgba'          => true,
                "depends_on"         => array(   
                    'element'   => 'use_parallax',  
                    'value'     => array('1'),                                                                                
                    'has_value' => false,                                                                                
                ),
            ),

            array(
                'type'          =>'color',
                'param_name'    =>'overlay_color',
                'label'         =>'Overlay Color',
                'desc'          => "" ,
                'default'       =>'',
                'rgba'          => true,
                "depends_on"         => array(   
                    'element'   => 'use_parallax',  
                    'value'     => array('1'),                                                                                
                    'has_value' => false,                                                                                
                ),
            ),
            
            array(
                'type'=>'select',
                'param_name'=>'column_gap',
                'label'=>'Columns gap',
                'desc' => "Gap between columns." ,
                'default'=>'30',
                "value" => array(   
                    '0px' => '0',                                                                               
                    '1px' => '1',                                                                               
                    '2px' => '2',                                                                               
                    '3px' => '3',                                                                               
                    '4px' => '4',                                                                               
                    '5px' => '5',                                                                               
                    '10px' => '10',                                                                               
                    '15px' => '15',                                                                               
                    '20px' => '20',                                                                               
                    '25px' => '25',                                                                               
                    '30px' => '30',                                                                               
                    '35px' => '35',                                                                               
                    '40px' => '40',                                                                               
                    '45px' => '45',                                                                               
                    '50px' => '50',                                                                               
                ),
            ),

            array(
                'type'          =>'text',
                'param_name'    =>'id',
                'label'         =>'Section ID',
                'desc'          => "" ,
                'default'       =>'',
                
            ),
            array(
                'type'=>'text',
                'param_name'=>'sec_class',
                'label'=>'Section Class - Old',
                'desc' => "" ,
                'default'=>'',
            ),
            array(
                'type'=>'text',
                'param_name'=>'class',
                'label'=>'Extra Class',
                'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                'default'=>'',
            ),

            array(
                'type'=>'select',
                'param_name'=>'sec_padding',
                'label'=>'Section Padding Top/Bottom',
                'desc' => "" ,
                'default'=>'normal-pad',
                "value" => array(   
                    'No Padding' => 'none-pad',                                                                                                                                                              
                    '50px' => 'normal-pad',                                                                                                                                                              
                    '100px' => 'large-pad',                                                                                                                                                              
                ),
            ),

        );

        $elements['AzuraCounter']['attrs'] = array(
            array(
                'type'=>'text',
                'param_name'=>'title',
                'label'=>'Title',
                'desc' => "" ,
                'default'=>'Clients',
                'show_in_admin' => true,
            ),
            array(
                'type'=>'text',
                'param_name'=>'value',
                'label'=>'Value',
                'desc' => "" ,
                'default'=>'1000',
                'show_in_admin' => true,
            ),

            array(
                'type'=>'iconselector',
                'param_name'=>'iconclass',
                'label'=>"Old Icon",
                'desc' => "Leave this empty then use icon selector bellow for more icons" ,
                'default'=>'fa fa-users',
            ),

            array(
                'type'=>'select',
                'param_name'=>'icon_type',
                'label'=>"New Icon library",
                'desc' => "Select icon library." ,
                'default'=>'fontawesome',
                'value'=> array(
                    'Font Awesome'=>'fontawesome',
                    'Line icon'=>'lineicon',
                    'Simple Line icon'=>'simplelineicon',
                    'ET Line icon'=>'etlineicon',
                ),
                
            ),

            array(
                'type'=>'iconselector',
                'param_name'=>'icon_fontawesome',
                'label'=>"Icon",
                'desc' => "Awesome font icon" ,
                'default'=>'',
                'depends_on' => array(
                    'element' => 'icon_type',
                    'value' => array('fontawesome'),
                    'has_value' => false,
                ),
                
            ),

            array(
                'type'=>'lineicon',
                'param_name'=>'icon_lineicon',
                'label'=>"Icon",
                'desc' => "Line icon",
                'default'=>'',
                'depends_on' => array(
                    'element' => 'icon_type',
                    'value' => array('lineicon'),
                    'has_value' => false,
                ),
                
            ),
            array(
                'type'=>'simplelineicon',
                'param_name'=>'icon_simplelineicon',
                'label'=>"Icon",
                'desc' => "Simple Line icon",
                'default'=>'',
                'depends_on' => array(
                    'element' => 'icon_type',
                    'value' => array('simplelineicon'),
                    'has_value' => false,
                ),
                
            ),
            array(
                'type'=>'etlineicon',
                'param_name'=>'icon_etlineicon',
                'label'=>"Icon",
                'desc' => "ET Line icon",
                'default'=>'',
                'depends_on' => array(
                    'element' => 'icon_type',
                    'value' => array('etlineicon'),
                    'has_value' => false,
                ),
                
            ),

            array(
                'type'=>'text',
                'param_name'=>'extraclass',
                'label'=>'Class',
                'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                'default'=>''
            ),
        );
        $elements['AzuraStickyMenu'] = array(
            'name'=>'Sticky Menu',
            'desc'=>'Element to import sticky menu to page',
            'hasownchild'=>'no',
            'ispagesection'=>'yes',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                
 
                
                array(
                    'type'=>'text',
                    'param_name'=>'el_class',
                    'label'=>'Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
               
                
            )
        );

        $elements['AzuraBgCSlider'] = array(
            'name'=>'Home Intro Slider',
            'desc'=>'Background and content slider section.',
            'hasownchild'=>'yes',
            'ispagesection'=>'yes',
            'childtypename'=>'AzuraBgCSliderItem',
            'childname'=>'Slide Item',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showTypographyTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'select',
                    'param_name'=>'mode',
                    'label'=>'Mode',
                    'desc' => "Type of transition between slides" ,
                    'default'=>'fade',
                    "value" => array(   
                        'Slide' => 'slide',  
                        'Fade' => 'fade',   

                    ),
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'auto',
                    'label'=>'Autoplay',
                    'desc' => "Milliseconds before progressing to next slide automatically. Use 0 value to disable." ,
                    'default'=>'10000',
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'pager',
                    'label'=>'Show Pagination',
                    'desc' => "" ,
                    'default'=>'1',
                    "value" => array(   
                        'Yes' => '1',  
                        'No' => '0',   

                    ),
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'controls',
                    'label'=>'Show Controls',
                    'desc' => "" ,
                    'default'=>'1',
                    "value" => array(   
                        'Yes' => '1',  
                        'No' => '0',   

                    ),
                ),

                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Additional Info',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=>'yes',
                    'show_in_admin'=>true,
                ),
 
                array(
                    'type'=>'text',
                    'param_name'=>'id',
                    'label'=>'Section ID',
                    'desc' => "Section ID used for style purpose and animated scrolling effect" ,
                    'default'=>'',
                ),
      
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
               
                
            )
        );

        $elements['AzuraBgCSliderItem'] = array(
            'name'=>'Slide Item',
            'desc'=>'',
            'isownchild'=>'yes',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'showTypographyTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
      
                array(  
                    'type'=>'image',
                    'param_name'=>'src',
                    'label'=>'Background Image',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin' => true,
                ),

                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Slide Content',
                    'desc' => "" ,
                    'default'=>'<h3>Responsive one page portfolio</h3>
<h1 class="white">We are <span>Cashemir</span></h1>
<div class="patern clear"><span></span></div>',
                    'iscontent'=>'yes',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'columnwidthclass',
                    'label'=>'Column Width Class',
                    'desc' => "Width" ,
                    'default'=>'col-md-3',
                    "value" => array(   
                        '1 Column - 1/12' => 'col-md-1',  
                        '2 Columns - 1/6' => 'col-md-2',   
                        '3 Columns - 1/4' => 'col-md-3',     
                        '4 Columns - 1/3' => 'col-md-4',     
                        '5 Columns - 5/12' => 'col-md-5',     
                        '6 Columns - 1/2' => 'col-md-6',     
                        '7 Columns - 7/12' => 'col-md-7',     
                        '8 Columns - 2/3' => 'col-md-8',     
                        '9 Columns - 1/4' => 'col-md-9',     
                        '10 Columns - 5/6' => 'col-md-10',     
                        '11 Columns - 11/12' => 'col-md-11',     
                        '12 Columns - 1/1' => 'col-md-12', 


                        '1/5' => 'col-md-15',      
                        '2/5' => 'col-md-25',      
                        '3/5' => 'col-md-35',      
                        '4/5' => 'col-md-45',      

                    ),
                ),
                array(
                    'type'=>'clearfix',
                ),
                
            )
        );

        $elements['AzuraMemberItem'] = array(
            'name'=>'Single Member',
            'desc'=>'Single Member',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showTypographyTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                array(
                    'type'=>'text',
                    'param_name'=>'name',
                    'label'=>'Name',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin'=>true
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'job',
                    'label'=>'Job',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin'=>true
                ),
                array(
                    'type'=>'image',
                    'param_name'=>'photo',
                    'label'=>'Member Photo',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin'=>true,
                ),

                // array(
                //     'type'=>'text',
                //     'param_name'=>'web_title',
                //     'label'=>'Website Title',
                //     'desc' => "" ,
                //     'default'=>'',
                //     'show_in_admin'=>true
                // ),

                // array(
                //     'type'=>'text',
                //     'param_name'=>'website',
                //     'label'=>'Website',
                //     'desc' => "" ,
                //     'default'=>'',
                //     'show_in_admin'=>true
                // ),
                // array(
                //     'type'=>'select',
                //     'param_name'=>'link_target',
                //     'label'=>"Open link in",
                //     'desc' => "" ,
                //     'default'=>'_blank',
                //     'value'=> array(
                //         'New tab'=>'_blank',
                //         'Current tab'=>'_self',
                //     ),
                //     'depends_on'=> array(
                //         'element'=> 'website',
                //         'value'=> array(),
                //         'has_value' => true,
                //     ),
                    
                // ),

                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Description',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=>'yes',
                    'show_in_admin'=>true
                ),
                

                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>'',
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                ),
                
            )
        );

        $elements['AzuraPortfolio'] = array(
            'name'=>'Portfolios Grid',
            'desc'=>'Portfolios Grid',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'sqlselect',
                    'param_name'=>'category',
                    'label'=>'Select a category',
                    'desc' => "Select a k2 category get item from" ,
                    'default'=>'',

                    'query'=>"SELECT id AS value, name AS category FROM #__k2_categories WHERE published=1 AND trash=0",
                    'titlekey'=>'category',
                    'valuekey'=>'value',
                    'show_in_admin'=> true,

                ),
    
                array(
                    'type'=>'text',
                    'param_name'=>'limit',
                    'label'=>'Limit',
                    'desc' => "Number or All" ,
                    'default'=>'All',
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'order',
                    'label'=>'Order',
                    'desc' => "" ,
                    'default'=>'created',
                    "value" => array(   
                        'Created' => 'created',  
                        'ID' => 'id',  
                        'Ordering' => 'ordering',   
                    ),
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'orderdir',
                    'label'=>'Order Direction',
                    'desc' => "" ,
                    'default'=>'DESC',
                    "value" => array(   
                        'Ascending' => 'ASC',  
                        'Descending' => 'DESC',   
                    ),
                ),
                // array(
                //     'type'=>'switch',
                //     'param_name'=>'childcat',
                //     'label'=>'Fetch Child Category',
                //     'desc' => "Get items from child categories?" ,
                //     'default'=>'0',
                //     "value" => array(   
                //         'Yes' => '1',  
                //         'No' => '0',   

                //     ),
                // ),

                array(
                    'type'=>'select',
                    'param_name'=>'columns',
                    'label'=>'Columns layout',
                    'desc' => "" ,
                    'default'=>'4',
                    "value" => array(   
                        '1 Column' => '1',  
                        '2 Columns' => '2',  
                        '3 Columns' => '3',  
                        '4 Columns' => '4',  
                        '5 Columns' => '5',  
                    ),
                    'show_in_admin'=> true,
                ),


                array(
                    'type'=>'switch',
                    'param_name'=>'show_filter',
                    'label'=>'Show Filters',
                    'desc' => "" ,
                    'default'=>'1',
                    "value" => array(   
                        'Yes' => '1',  
                        'No' => '0',   

                    ),
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'id',
                    'label'=>'Element ID',
                    'desc' => "Wrapper ID used for script trigger" ,
                    'default'=>'',
                    
                ),
                

                

                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                    
                ),

                
            )
        );

        $elements['AzuraAboutSlider'] = array(
            'name'=>'About Slider',
            'desc'=>'',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'hasownchild'=>"yes",
            'childname'=>"Slide Item",
            'childtypename'=>"AzuraAboutSliderItem",
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> true,
            'open_settings_on_create'=>true,
            'attrs' => array (

            
                array(
                    'type'=>'select',
                    'param_name'=>'transtyle',
                    'label'=>'Transition Type',
                    'desc' => "Transition Type" ,
                    'default'=>'goDown',
                    'value'=> array(
                        'Default Slide'=>'',
                        'Slide'=>'slide',
                        'Fade'=>'fade',
                        'Back slide'=>'backSlide',
                        'Back slide'=>'backSlide',
                        'Scale up'=>'scaleUp'
                    )
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'sliderspeed',
                    'label'=>'Slider Speed',
                    'desc' => "Slider Speed in milliseconds" ,
                    'default'=>'200',
                ),  
                array(
                    'type'=>'text',
                    'param_name'=>'rewindspeed',
                    'label'=>'Rewind Speed',
                    'desc' => "Rewind Speed in milliseconds" ,
                    'default'=>'1000',
                ), 
                array(
                    'type'=>'text',
                    'param_name'=>'items',
                    'label'=>'Slide Per View',
                    'desc' => "" ,
                    'default'=>'1',
                ), 

                array(
                    'type'=>'switch',
                    'param_name'=>'issingle',
                    'label'=>'Is Single?',
                    'desc' => "Set this to Yes if you want to display single item only" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'autoplay',
                    'label'=>'AutoPlay',
                    'desc' => "Boolen or number in mili-second (5000)" ,
                    'default'=>'false',
                ), 
                array(
                    'type'=>'switch',
                    'param_name'=>'pagination',
                    'label'=>'Show Pagination',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'paginationspeed',
                    'label'=>'Pagination Speed',
                    'desc' => "Pagination Speed in milliseconds" ,
                    'default'=>'1000',
                ), 
                array(
                    'type'=>'switch',
                    'param_name'=>'navigation',
                    'label'=>'Show Navigation',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'autoheight',
                    'label'=>'Auto Height',
                    'desc' => "" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'mousedrag',
                    'label'=>'Use Mouse Drag',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'touchdrag',
                    'label'=>'Use Touch Drag',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['AzuraAboutSliderItem'] = array(
            'name'=>"Slide Item",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'isownchild' => 'yes',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                
                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Slide Content (Can be use with html tags.)',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=> 'yes',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['AzuraResume'] = array(
            'name'=>'Resumes List',
            'desc'=>'',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'hasownchild'=>"yes",
            'childname'=>"Resume Item",
            'childtypename'=>"AzuraResumeItem",
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> true,
            'open_settings_on_create'=>true,
            'attrs' => array (

                array(
                    'type'=>'switch',
                    'param_name'=>'altstyle',
                    'label'=>'Use Alternative style',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
             
                array(
                    'type'=>'text',
                    'param_name'=>'downloadlink',
                    'label'=>'Download Resume Link',
                    'desc' => "" ,
                    'default'=>'',
                ), 

                

                

                array(
                    'type'=>'text',
                    'param_name'=>'id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['AzuraResumeItem'] = array(
            'name'=>"Resume Item",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'isownchild' => 'yes',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
          
                array(
                    'type'=>'text',
                    'param_name'=>'time',
                    'label'=>'Resume Time',
                    'desc' => "" ,
                    'default'=>'2013-2014'
                ),

                array(
                    'type'=>'switch',
                    'param_name'=>'position',
                    'label'=>'Show in',
                    'desc' => "" ,
                    'default'=>'left',
                    'value'=> array(
                        'Left'=>'left',
                        'Right'=>'right'
                    )
                ),
   
                
                
                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Resume Content (Can be use with html tags.)',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=> 'yes',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );
        $elements['AzuraOwlCarousel'] = array(
            'name'=>'OwlCarousel Slider',
            'desc'=>'',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'hasownchild'=>"yes",
            'childname'=>"Slide Item",
            'childtypename'=>"AzuraOwlCarouselItem",
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> true,
            'open_settings_on_create'=>true,
            'attrs' => array (

                array(
                    'type'=>'select',
                    'param_name'=>'transtyle',
                    'label'=>'Transition Type',
                    'desc' => "Transition Type" ,
                    'default'=>'goDown',
                    'value'=> array(
                        'Default Slide'=>'',
                        'Slide'=>'slide',
                        'Fade'=>'fade',
                        'Back slide'=>'backSlide',
                        'Back slide'=>'backSlide',
                        'Scale up'=>'scaleUp'
                    )
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'sliderspeed',
                    'label'=>'Slider Speed',
                    'desc' => "Slider Speed in milliseconds" ,
                    'default'=>'200',
                ),  
                array(
                    'type'=>'text',
                    'param_name'=>'rewindspeed',
                    'label'=>'Rewind Speed',
                    'desc' => "Rewind Speed in milliseconds" ,
                    'default'=>'1000',
                ), 
                array(
                    'type'=>'text',
                    'param_name'=>'items',
                    'label'=>'Slide Per View',
                    'desc' => "" ,
                    'default'=>'5',
                ), 

                array(
                    'type'=>'switch',
                    'param_name'=>'issingle',
                    'label'=>'Is Single?',
                    'desc' => "Set this to Yes if you want to display single item only" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'autoplay',
                    'label'=>'AutoPlay',
                    'desc' => "Boolen or number in mili-second (5000)" ,
                    'default'=>'false',
                ), 
                array(
                    'type'=>'switch',
                    'param_name'=>'pagination',
                    'label'=>'Show Pagination',
                    'desc' => "" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'paginationspeed',
                    'label'=>'Pagination Speed',
                    'desc' => "Pagination Speed in milliseconds" ,
                    'default'=>'800',
                ), 
                array(
                    'type'=>'switch',
                    'param_name'=>'navigation',
                    'label'=>'Show Navigation',
                    'desc' => "" ,
                    'default'=>'0',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'autoheight',
                    'label'=>'Auto Height',
                    'desc' => "" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'mousedrag',
                    'label'=>'Use Mouse Drag',
                    'desc' => "" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'touchdrag',
                    'label'=>'Use Touch Drag',
                    'desc' => "" ,
                    'default'=>'1',
                    'value'=> array(
                        'Yes'=>'1',
                        'No'=>'0'
                    )
                ),


                array(
                    'type'=>'text',
                    'param_name'=>'id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['AzuraOwlCarouselItem'] = array(
            'name'=>"Slide Item",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'isownchild' => 'yes',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
   
                array(
                    'type'=>'image',
                    'param_name'=>'slideimage',
                    'label'=>'Slide Photo',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'alttext',
                    'label'=>'Alt Text',
                    'desc' => "" ,
                    'default'=>''
                ),
                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Slide Content (Can be use with html tags.)',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=> 'yes',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );
        $elements['AzuraServices'] = array(
            'name'=>'Services Slider',
            'desc'=>'',
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'hasownchild'=>"yes",
            'childname'=>"Service Item",
            'childtypename'=>"AzuraServicesItem",
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> true,
            'open_settings_on_create'=>true,
            'attrs' => array (

                
                array(
                    'type'=>'select',
                    'param_name'=>'flexanimation',
                    'label'=>'Animation',
                    'desc' => "" ,
                    'default'=>'slide',
                    'value'=> array(
                        'Fade'=>'fade',
                        'Slide'=>'slide'
                    )
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'direction',
                    'label'=>'Direction',
                    'desc' => "" ,
                    'default'=>'horizontal',
                    'value'=> array(
                        'Vertical'=>'vertical',
                        'Horizontal'=>'horizontal'
                    )
                ),
     

                array(
                    'type'=>'text',
                    'param_name'=>'startat',
                    'label'=>'Start At',
                    'desc' => "The starting slide for the slider, in array notation" ,
                    'default'=>'1'
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['AzuraServicesItem'] = array(
            'name'=>"Service Item",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'isownchild' => 'yes',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
   
                array(
                    'type'=>'text',
                    'param_name'=>'title',
                    'label'=>'Title',
                    'desc' => "" ,
                    'default'=>'',
                    'show_in_admin'=>true,
                ),
                
                array(
                    'type'=>'textarea',
                    'param_name'=>'content',
                    'label'=>'Content (Can be use with html tags.)',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=> 'yes',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );
        /*
        $elements['Memberskill'] = array(
            'name'=>"Member Skill",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
   
                array(
                    'type'=>'text',
                    'param_name'=>'title',
                    'label'=>'Title',
                    'desc' => "" ,
                    'default'=>'Joomla',
                    'show_in_admin'=>true,
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'level',
                    'label'=>'Level',
                    'desc' => "" ,
                    'default'=>'95',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );
        $elements['Skillbar'] = array(
            'name'=>"Skill Bar",
            'category'=>"cashemir",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=> true,
            'showTypographyTab'=> true,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
   
                array(
                    'type'=>'text',
                    'param_name'=>'title',
                    'label'=>'Title',
                    'desc' => "" ,
                    'default'=>'Joomla',
                    'show_in_admin'=>true,
                ),
                
                array(
                    'type'=>'text',
                    'param_name'=>'level',
                    'label'=>'Level',
                    'desc' => "" ,
                    'default'=>'95',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'extraclass',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );

        $elements['faicon'] = array(
            'name'=>"Awesome Icon",
            'category'=>"deprecated",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=> true,
            'showTypographyTab'=> false,
            'showAnimationTab'=> false,
            'showResponsiveTab'=> false,
            'open_settings_on_create'=>true,
            'attrs' => array (
   
                array(
                    'type'=>'text',
                    'param_name'=>'name',
                    'label'=>'Icon Name',
                    'desc' => "Awesome font icon name. Ex: home" ,
                    'default'=>'Joomla',
                    'show_in_admin'=>true,
                ),
                array(
                    'type'=>'text',
                    'param_name'=>'class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>''
                ),
                
            )
        );
        */


        $elements['new_portfolios'] = array(
            'name'=>'Portfolios Grid',
            'desc'=>'New Portfolios Grid',
            'category'=>"Cashemir New",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'sqlselect',
                    'param_name'=>'category',
                    'label'=>'Select a category',
                    'desc' => "Select a k2 category get item from" ,
                    'default'=>'',

                    'query'=>"SELECT id AS value, name AS category FROM #__k2_categories WHERE published=1 AND trash=0",
                    'titlekey'=>'category',
                    'valuekey'=>'value',
                    'show_in_admin'=> true,

                ),
    
                array(
                    'type'=>'text',
                    'param_name'=>'limit',
                    'label'=>'Limit',
                    'desc' => "Number or All" ,
                    'default'=>'All',
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'order',
                    'label'=>'Order',
                    'desc' => "" ,
                    'default'=>'created',
                    "value" => array(   
                        'Created' => 'created',  
                        'ID' => 'id',  
                        'Ordering' => 'ordering',   
                    ),
                ),
                array(
                    'type'=>'select',
                    'param_name'=>'orderdir',
                    'label'=>'Order Direction',
                    'desc' => "" ,
                    'default'=>'DESC',
                    "value" => array(   
                        'Ascending' => 'ASC',  
                        'Descending' => 'DESC',   
                    ),
                ),
                // array(
                //     'type'=>'switch',
                //     'param_name'=>'childcat',
                //     'label'=>'Fetch Child Category',
                //     'desc' => "Get items from child categories?" ,
                //     'default'=>'0',
                //     "value" => array(   
                //         'Yes' => '1',  
                //         'No' => '0',   

                //     ),
                // ),   

                array(
                    'type'=>'switch',
                    'param_name'=>'show_filter',
                    'label'=>'Show Filters',
                    'desc' => "" ,
                    'default'=>'1',
                    "value" => array(   
                        'Yes' => '1',  
                        'No' => '0',   

                    ),
                ),



                array(
                    'type'=>'select',
                    'param_name'=>'columns',
                    'label'=>'Columns layout',
                    'desc' => "" ,
                    'default'=>'4',
                    "value" => array(   
                        '1 Column' => '1',  
                        '2 Columns' => '2',  
                        '3 Columns' => '3',  
                        '4 Columns' => '4',  
                        '5 Columns' => '5',  
                    ),
                    'show_in_admin'=> true,
                ),

                array(
                    'type'=>'select',
                    'param_name'=>'image_size',
                    'label'=>'Image Size',
                    'desc' => "" ,
                    'default'=>'_L',
                    "value" => array(   
                        'Extra Small' => '_XS',  
                        'Small' => '_S',  
                        'Large' => '_L',  
                        'Extra Large' => '_XL',  
                        '_Generic' => '_Generic',  
                    ),
                ),
                array(
                    'type'=>'switch',
                    'param_name'=>'show_cat',
                    'label'=>'Show Category',
                    'desc' => "" ,
                    'default'=>'0',
                    "value" => array(   
                        'Yes' => '1',  
                        'No' => '0',   

                    ),
                ),

                array(
                    'type'=>'switch',
                    'param_name'=>'single_view',
                    'label'=>'Single View Type',
                    'desc' => "" ,
                    'default'=>'ajax',
                    "value" => array(   
                        'Ajax Inline' => 'ajax',  
                        'Normal' => 'normal',   
                    ),
                ),

                
                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>'',
                    
                ),
                

                

                array(
                    'type'=>'text',
                    'param_name'=>'el_class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                    
                ),

                
            )
        );

        $elements['images_slider'] = array(
            'name'=>'Images Slider',
            'desc'=>'New Portfolios Image Slider',
            'category'=>"Cashemir New",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'images',
                    'param_name'=>'content',
                    'label'=>'Select a folder then click to images to use',
                    'desc' => "" ,
                    'default'=>'',
                    'iscontent'=>'yes',
                    'show_in_admin'=> true,
                    'image_attrs'=>array(
                        'Alt-text'=> array(
                                        'type'=>'text',
                                        'desc' => 'Alt Text'
                                    ),
                        'Content'=> array(
                                        'type'=>'textarea',
                                        'desc' => 'Image caption text'
                                    ),
                    ), // define image attr with its field type. text and texarea are allowed and do not allowed SRC for attribute name
                ),

                



                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'el_class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                    
                ),

                
            )
        );

        $elements['portfolio_desc'] = array(
            'name'=>'Portfolio Description',
            'desc'=>'New Portfolios Description',
            'category'=>"Cashemir New",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'aceeditor',
                    'mode'=>'html',
                    'param_name'=>'content',
                    'label'=>'Portfolio Details',
                    'desc' => "" ,
                    'default'=>'<h3>Project description</h3>    
<p>Nullam mattis condimentum molestie. Nam gravida elementum dui sit amet ornare. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis a velit libero, eu aliquam nisi. Integer ac massa tortor, at eleifend nisi. Nulla feugiat sodales mi, vitae aliquam quam imperdiet at. </p>',
                    'iscontent'=>'yes',
                    'show_in_admin'=> true,
                    
                ),

                



                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'el_class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                    
                ),

                
            )
        );


        $elements['portfolio_details'] = array(
            'name'=>'Portfolio Details',
            'desc'=>'New Portfolios Details',
            'category'=>"Cashemir New",
            'icon'=> JUri::root().'plugins/azura/azuraoption/elements/cashemir-icon.png',
            'showStyleTab'=>true,
            'showAnimationTab'=>true,
            'open_settings_on_create'=>true,
            'attrs' => array (
                
                array(
                    'type'=>'aceeditor',
                    'mode'=>'html',
                    'param_name'=>'content',
                    'label'=>'Portfolio Details',
                    'desc' => "" ,
                    'default'=>'<h3>Project Details</h3>
<p><span>Client</span>: Themeforest</p>
<p><span>Date</span>: 6th November, 2017</p>
<p><span>Tags</span>: Photography, Design, Branding</p>  
<a href="#" class="transition" target="_blank">Launch project</a>',
                    'iscontent'=>'yes',
                    'show_in_admin'=> true,
                    
                ),

                



                array(
                    'type'=>'text',
                    'param_name'=>'el_id',
                    'label'=>'Element ID',
                    'desc' => "" ,
                    'default'=>''
                ),

                array(
                    'type'=>'text',
                    'param_name'=>'el_class',
                    'label'=>'Extra Class',
                    'desc' => "Use this field to add a class name and then refer to it in your CSS." ,
                    'default'=>'',
                    
                ),

                
            )
        );

        return true;
	}
	
}
