<?php
/**
* @package Azura Joomla Pagebuilder
* @author Cththemes - www.cththemes.com
* @date: 15-07-2014
*
* @copyright  Copyright ( C ) 2014 cththemes.com . All rights reserved.
    * @license    GNU General Public License version 2 or later; see LICENSE
*/
defined('_JEXEC') or die;
?>
<div id="ajaxpage">
    <div class="height-emulator"></div>
    <div class="container">
        <h2><?php echo preg_replace('/--([^-]*)--/', '$1', $this->item->title);?></h2>
        <div class="small-separator sepcolor"></div>
        <div class="clear"></div>

       
        <div class="k2-portfolio-normal">
            <!-- Plugins: BeforeDisplay -->
            <?php echo $this->item->event->BeforeDisplay; ?>

            <!-- K2 Plugins: K2BeforeDisplay -->
            <?php echo $this->item->event->K2BeforeDisplay; ?>

            <!-- Plugins: BeforeDisplayContent -->
            <?php echo $this->item->event->BeforeDisplayContent; ?>

            <!-- K2 Plugins: K2BeforeDisplayContent -->
            <?php echo $this->item->event->K2BeforeDisplayContent; ?>


            <?php if(!empty($this->item->fulltext)): ?>
                <?php if($this->item->params->get('itemIntroText')): ?>

                    <?php echo $this->item->introtext; ?>

                <?php endif; ?>
                <?php if($this->item->params->get('itemFullText')): ?>
                    <!-- Item fulltext -->
                    <?php echo $this->item->fulltext; ?>
                <?php endif; ?>
            <?php else: ?>
                <!-- Item text -->
                <?php echo $this->item->introtext; ?>
            <?php endif; ?>

            <div class="portfolio-bellow-content">

                <?php if($this->item->params->get('itemTags') && count($this->item->tags)): ?>
                  <!-- Item tags -->
                    <div class="tagcloud">
                        <i class="fa fa-tags"></i>
                        <?php foreach ($this->item->tags as $tag): ?>
                        <a href="<?php echo $tag->link; ?>"><?php echo $tag->name; ?></a> 
                        <?php endforeach; ?>
                    </div>
                    <br>
                  <?php endif; ?>


                <?php if($this->item->params->get('itemExtraFields') && count($this->item->extra_fields)): ?>
                <!-- Item extra fields -->
                <div class="itemExtraFields">
                    <h3><?php echo JText::_('K2_ADDITIONAL_INFO'); ?></h3>
                    <ul>
                        <?php foreach ($this->item->extra_fields as $key=>$extraField): ?>
                        <?php if($extraField->value != ''): ?>
                        <li class="<?php echo ($key%2) ? "odd" : "even"; ?> type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
                            <?php if($extraField->type == 'header'): ?>
                            <h4 class="itemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
                            <?php else: ?>
                            <span class="itemExtraFieldsLabel"><?php echo $extraField->name; ?>:</span>
                            <span class="itemExtraFieldsValue"><?php echo $extraField->value; ?></span>
                            <?php endif; ?>
                        </li>
                        <?php endif; ?>
                        <?php endforeach; ?>
                        </ul>
                    <div class="cl"></div>
                </div>
                <?php endif; ?>

                <?php if($this->item->params->get('itemAttachments') && count($this->item->attachments)): ?>
                  <!-- Item attachments -->
                  <div class="itemAttachmentsBlock">
                      <span><?php echo JText::_('K2_DOWNLOAD_ATTACHMENTS'); ?></span>
                      <ul class="itemAttachments">
                        <?php foreach ($this->item->attachments as $attachment): ?>
                        <li>
                            <a title="<?php echo K2HelperUtilities::cleanHtml($attachment->titleAttribute); ?>" href="<?php echo $attachment->link; ?>"><?php echo $attachment->title; ?></a>
                            <?php if($this->item->params->get('itemAttachmentsCounter')): ?>
                            <span>(<?php echo $attachment->hits; ?> <?php echo ($attachment->hits==1) ? JText::_('K2_DOWNLOAD') : JText::_('K2_DOWNLOADS'); ?>)</span>
                            <?php endif; ?>
                        </li>
                        <?php endforeach; ?>
                      </ul>
                  </div>
                <?php endif; ?>

                

                <?php if($this->item->params->get('itemHits') || ($this->item->params->get('itemDateModified') && intval($this->item->modified)!=0)): ?>
                <div class="itemContentFooter">

                    <?php if($this->item->params->get('itemHits')): ?>
                    <!-- Item Hits -->
                    <span class="itemHits">
                        <?php echo JText::_('K2_READ'); ?> <b><?php echo $this->item->hits; ?></b> <?php echo JText::_('K2_TIMES'); ?>
                    </span>
                    <?php endif; ?>

                    <?php if($this->item->params->get('itemDateModified') && intval($this->item->modified)!=0): ?>
                    <!-- Item date modified -->
                    <span class="itemDateModified">
                        <?php echo JText::_('K2_LAST_MODIFIED_ON'); ?> <?php echo JHTML::_('date', $this->item->modified, JText::_('K2_DATE_FORMAT_LC2')); ?>
                    </span>
                    <?php endif; ?>

                    <div class="clr"></div>
                </div>
                <?php endif; ?>

                <!-- Plugins: AfterDisplayContent -->
                <?php echo $this->item->event->AfterDisplayContent; ?>

                <!-- K2 Plugins: K2AfterDisplayContent -->
                <?php echo $this->item->event->K2AfterDisplayContent; ?>




            </div>
            


            <div class="portfolio-nav">
                <span></span>
                <?php if(isset($this->item->previousLink)): ?>
                <a href="<?php echo $this->item->previousLink;?>" class="transition"><i class="fa fa-angle-left"></i></a>
                <?php endif;?>
                <a href="<?php echo JURI::root(true);?>" class="transition"><i class="fa fa-th"></i></a>
                <?php if(isset($this->item->nextLink)): ?>
                <a href="<?php echo $this->item->nextLink;?>" class="transition"><i class="fa fa-angle-right"></i></a>
                <?php endif;?>
            </div>
        </div>



        <div class="height-emulator"></div>
        <div class="lanch-holder">
            <div class="container">
                <a href="<?php echo $this->item->link;?>" class="lanch-project"><?php echo JText::_('TPL_CASHEMIR_PORTFOLIO_LAUNCH_TEXT');?></a>
            </div>
        </div>
    </div>